
.chat-user-info {
    display: flex;
    align-items: center;
}

.chat-user-photo {
    width: 3em;
    height: 3em;
    border-radius: 50%;
    margin-right: 10px;
	margin-top: 5px;
	margin-bottom: 5px;
	margin-left: 5px;
}

.chat-user-details {
    display: flex;
    flex-direction: column;
}

.chat-user-name {
    font-weight: bold;
}

.chat-user-last-msg {
	font-style:italic;
    font-size: 0.9em;
    color: #666;
}

.chat-list-group-item {
	padding: 0.1em !important;
	cursor:pointer !important;
}

.chat-list-group-item.selected {
    background-color: #CCC;
}

.chat-list-group-item.chat-new{
	background-color: #FF6666;
}

.chat-header {
	width: 100%;
	border: 1px solid #ddd;
	border-top-left-radius: 8px;
    border-top-right-radius: 8px;
	overflow: hidden;
	padding: 5px;
	background-color: var(--primary);
	color: var(--white);
	box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.chat-container {
	width: 100%;
	height: 500px;
	border: 1px solid #ddd;
	border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	background-color: #f9f9f9;
	box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.chat-item {
	display: flex;
	align-items: center;
}

.chat-messages {
	flex: 1;
	padding: 10px 15px;
	overflow-y: auto;
	display: flex;
	flex-direction: column;
	background-color: #ffffff;
}

       
.chat-message {
	margin-top: 5px;
	margin-bottom: 10px;
	display: flex;
	flex-direction: column;
	max-width: 75%;
	padding: 10px;
	border-radius: 20px;
}

     
.chat-message.user {
	align-self: flex-end;
	text-align: right;
	background-color: var(--primary);
	color: #ffffff;
	border-radius: 20px 20px 0 20px;
}

.chat-message.other {
	align-self: flex-start;
	text-align: left;
	background-color: #f1f1f1;
	color: #333333;
	border-radius: 20px 20px 20px 0;
}

.chat-user-info-chat {
	font-size: 0.85em;
	margin-bottom: 5px;
}

/*.chat-user-info-chat:first-child {
    margin-top: 100px;
}*/

.chat-message.user .chat-user-info-chat {
	color: #CCC;
}
.chat-message.other .chat-user-info-chat {
	color: #666666;
}

.chat-input {
	padding: 10px;
	border-top: 1px solid #ddd;
	background: #f0f0f0;
	display: flex;
	align-items: center;
}

.chat-input textarea {
	flex: 1;
	padding: 10px 15px;
	border-radius: 30px;
	border: 1px solid #ddd;
	margin-right: 10px;
	outline: none;
	transition: border-color 0.3s;
}

.chat-input textarea:focus {
	border-color: var(--primary);
}

.chat-input button {
	border: none;
	padding: 10px 20px;
	border-radius: 30px;
	cursor: pointer;
}

#div-chat-list {
    max-height: 600px;
    overflow-y: auto;
    overflow-x: hidden;
}